## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# trust-dns-{client,server} not available
# using vendored deps

# RHEL doesn't include the package rust-packaging which provides %%__cargo macro, but EPEL
# does. So we set it separately here and skip rust-packaging dependency for RHEL.
# Buildability without EPEL is essential for packit builds.
# ELN doesn't need this.
%if %{defined rhel} && 0%{?rhel} < 10
%define __cargo %{_bindir}/env CARGO_HOME=.cargo RUSTC_BOOTSTRAP=1 RUSTFLAGS='-Copt-level=3 -Cdebuginfo=2 -Ccodegen-units=1 -Clink-arg=-Wl,-z,relro -Clink-arg=-Wl,-z,now --cap-lints=warn' %{_bindir}/cargo
%endif

%global with_debug 1

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

Name: aardvark-dns
%if %{defined copr_username}
Epoch: 102
%endif
# DO NOT TOUCH the Version string!
# The TRUE source of this specfile is:
# https://github.com/containers/podman/blob/main/rpm/podman.spec
# If that's what you're reading, Version must be 0, and will be updated by Packit for
# copr and koji builds.
# If you're reading this on dist-git, the version is automatically filled in by Packit.
Version: 1.9.0
# The `AND` needs to be uppercase in the License for SPDX compatibility
License: Apache-2.0 AND MIT AND Zlib
Release: %autorelease
%if %{defined golang_arches_future}
ExclusiveArch: %{golang_arches_future}
%else
ExclusiveArch: aarch64 ppc64le s390x x86_64
%endif
Summary: Authoritative DNS server for A/AAAA container records
URL: https://github.com/containers/%{name}
# Tarballs fetched from upstream's release page
Source0: %{url}/archive/v%{version}.tar.gz
Source1: %{url}/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz
BuildRequires: cargo
BuildRequires: git-core
BuildRequires: make
%if %{defined rhel}
# rust-toolset requires the `local` repo enabled on non-koji ELN build environments
BuildRequires: rust-toolset
%else
BuildRequires: rust-packaging
BuildRequires: rust-srpm-macros
%endif

%description
%{summary}

Forwards other request to configured resolvers.
Read more about configuration in `src/backend/mod.rs`.

%prep
%autosetup -Sgit %{name}-%{version}
# Following steps are only required on environments like koji which have no
# network access and thus depend on the vendored tarball. Copr pulls
# dependencies directly from the network.
%if !%{defined copr_username}
tar fx %{SOURCE1}
mkdir -p .cargo

cat >.cargo/config << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF
%endif

%build
%{__make} CARGO="%{__cargo}" build

%install
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install

%files
%license LICENSE
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}

%changelog
* Mon Nov 27 2023 Packit <hello@packit.dev> 1.9.0-1
- [packit] 1.9.0 upstream release

* Wed Sep 27 2023 Packit <hello@packit.dev> 1.8.0-1
- [packit] 1.8.0 upstream release

* Tue Aug 22 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.7.0-3
- spdx compatible license field

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Packit <hello@packit.dev> 1.7.0-1
- [packit] 1.7.0 upstream release

* Wed Apr 12 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.6.0-1
- bump to v1.6.0

* Mon Mar 06 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.5.0-6
- exclusivearch: golang_arches_future

* Mon Mar 06 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.5.0-5
- migrated to SPDX license

* Wed Feb 08 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.5.0-4
- Discontinue i686

* Tue Feb 07 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.5.0-3
- BR: rust-packaging

* Tue Feb 07 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.5.0-2
- Enable debuginfo

* Thu Feb 02 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.5.0-1
- bump to v1.5.0

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.4.0-1
- auto bump to v1.4.0

* Tue Nov 15 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.3.0-1
- auto bump to v1.3.0

* Fri Oct 21 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.2.0-6
- rebuild

* Fri Oct 07 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.2.0-5
- Revert "auto bump to v1.2.0"

* Fri Oct 07 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.2.0-4
- auto bump to v1.2.0

* Tue Oct 04 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.2.0-3
- adjust macros to get correct version

* Tue Oct 04 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.2.0-2
- get rid of debbuild to comply with fedora guidelines

* Tue Sep 27 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.2.0-1
- auto bump to v1.2.0

* Wed Aug 17 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.1.0-3
- use easier tag macros to make both fedora and debbuild happy

* Tue Aug 16 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.1.0-2
- Fix debbuild maintainer issue

* Thu Jul 28 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.1.0-1
- auto bump to v1.1.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri May 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.3-2
- build dep packages using debbuild

* Fri May 06 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.3-1
- bump to v1.0.3

* Wed Mar 23 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.2-1
- bump to v1.0.2

* Fri Feb 25 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.1-2
- upload tarballs to lookaside cache

* Fri Feb 25 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.1-1
- bump to v1.0.1

* Wed Feb 16 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.0-1
- bump to v1.0.0

* Thu Feb 10 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.0~rc2-1
- bump to v1.0.0-rc2

* Thu Feb 03 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.0.0~rc1-1
- bump to v1.0.0-rc1

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 0-1
- Resolves: #2043581 - initial build
